Package org.opensaml.xmlsec.signature.impl

# Class KeyInfoReferenceImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.KeyInfoReferenceImpl

All Implemented Interfaces:
  `XMLObject`, `KeyInfoReference`

public class KeyInfoReferenceImpl extends AbstractXMLObject implements KeyInfoReference
Concrete implementation of `KeyInfoReference`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`id`
Id attribute value.
`private String`
`uri`
URI attribute value.

### Fields inherited from interface org.opensaml.xmlsec.signature.KeyInfoReference

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ID_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME, URI_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`KeyInfoReferenceImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
Get the Id attribute value.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getURI()`
Get the URI attribute value.
`void`
`setID(String newID)`
Set the Id attribute value.
`void`
`setURI(String newURI)`
Set the URI attribute value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### id

@Nullable private String id
Id attribute value.

### uri

@Nullable private String uri
URI attribute value.

## Constructor Details

### KeyInfoReferenceImpl

protected KeyInfoReferenceImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getID

@Nullable public String getID()
Get the Id attribute value.

Specified by:
  `getID` in interface `KeyInfoReference`
Returns:
  the Id attribute value

### setID

public void setID(@Nullable String newID)
Set the Id attribute value.

Specified by:
  `setID` in interface `KeyInfoReference`
Parameters:
  `newID` - the new Id attribute value

### getURI

@Nullable public String getURI()
Get the URI attribute value.

Specified by:
  `getURI` in interface `KeyInfoReference`
Returns:
  the URI attribute value

### setURI

public void setURI(@Nullable String newURI)
Set the URI attribute value.

Specified by:
  `setURI` in interface `KeyInfoReference`
Parameters:
  `newURI` - the new URI attribute value

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements